StandardAnsiSqlAggregationFunctions.SumFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class StandardAnsiSqlAggregationFunctions.SumFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions.SumFunction

All Implemented Interfaces:
  SQLFunction

Enclosing class:
  StandardAnsiSqlAggregationFunctions

    public static class StandardAnsiSqlAggregationFunctions.SumFunction

extends StandardSQLFunction

Field Summary
`static StandardAnsiSqlAggregationFunctions.SumFunction` | `INSTANCE`

Constructor Summary
`StandardAnsiSqlAggregationFunctions.SumFunction()`

Method Summary
`protected int` | `determineJdbcTypeCode(Type type, Mapping mapping)`
`Type` | `getReturnType(Type firstArgumentType, Mapping mapping)` The return type of the function.

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getType, hasArguments, hasParenthesesIfNoArguments, render, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INSTANCE

    public static final StandardAnsiSqlAggregationFunctions.SumFunction INSTANCE

Constructor Detail

### StandardAnsiSqlAggregationFunctions.SumFunction

    public StandardAnsiSqlAggregationFunctions.SumFunction()

Method Detail

### determineJdbcTypeCode

    protected final int determineJdbcTypeCode(Type type,
                                              Mapping mapping)
                                       throws QueryException

  Throws:
    `QueryException`

### getReturnType

    public Type getReturnType(Type firstArgumentType,
                              Mapping mapping)

  Description copied from class: `StandardSQLFunction`
  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.render(org.hibernate.type.Type, java.util.List, org.hibernate.engine.spi.SessionFactoryImplementor)`

  Specified by:
    `getReturnType` in interface `SQLFunction`
  Overrides:
    `getReturnType` in class `StandardSQLFunction`
  Parameters:
    `firstArgumentType` - The type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.